package com.blueland.dao;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.blueland.model.TPfParameter;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.blueland.bo.ParameterEntity;
import com.blueland.bo.RoleEntity;


@Mapper
public interface ParameterDao  extends BaseMapper<TPfParameter> {

	List<RoleEntity> findPageList(@Param("bo") Map<String, Object> queryParams);

	Page<ParameterEntity> findPageListNew(@Param("page") Page<ParameterEntity> page, @Param("bo") Map<String, Object> queryParams);

	List<ParameterEntity> parameterListPage(@Param("bo") Map<String, Object> queryParams);

	Page<ParameterEntity> parameterPage(@Param("page") Page<ParameterEntity> page, @Param("bo") Map<String, Object> queryParams);
	
	//20190724 add
	@InterceptorIgnore(tenantLine = "true")
	ParameterEntity getByKey(@Param(value="key")String key);

	@InterceptorIgnore(tenantLine = "true")
	String getValueByKey(@Param("key") String key);
	/**
	 * 获取对象
	 * @param obj
	 * @return
	 */
	ParameterEntity getObj(@Param("bo") ParameterEntity obj);

	@InterceptorIgnore(tenantLine = "true")
	List<ParameterEntity> findList(@Param("bo") ParameterEntity bo);

	Page<ParameterEntity> findPage(@Param("page")Page<ParameterEntity> page, @Param("bo") ParameterEntity entity);
	
}
